Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBaseInfoDetail.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBaseInfoDetail.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBaseInfoDetail.cs	(revision 6)
@@ -31,7 +31,7 @@
         /// <summary>
         /// 工事基本情報フィールド並び
         /// </summary>
-        public enum ConstructionBaseInfoDetailColumn
+        public enum TableColumn
         {
             CONSTRUCTION_CODE = 0,
             DETAIL_NO,
@@ -284,12 +284,12 @@
             try
             {
                 // データ取得
-                wrk.ConstructionCode = int.Parse(objwrk[(int)ConstructionBaseInfoDetailColumn.CONSTRUCTION_CODE].ToString());
-                wrk.DetailNo = int.Parse(objwrk[(int)ConstructionBaseInfoDetailColumn.DETAIL_NO].ToString());
-                wrk.DetailString = objwrk[(int)ConstructionBaseInfoDetailColumn.DETAIL_STRING].ToString();
+                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.CONSTRUCTION_CODE].ToString());
+                wrk.DetailNo = int.Parse(objwrk[(int)TableColumn.DETAIL_NO].ToString());
+                wrk.DetailString = objwrk[(int)TableColumn.DETAIL_STRING].ToString();
                 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)ConstructionBaseInfoDetailColumn.ENTRY_DATE].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)ConstructionBaseInfoDetailColumn.UPDATE_DATE].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.ENTRY_DATE].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UPDATE_DATE].ToString());
             }
             catch (OracleException oraex)
             {
@@ -352,6 +352,13 @@
                 // SQL実行
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
 
+                //strcmd = "UPDATE ConstructionBaseInfoDetail SET EntryDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                //strcmd += ", UpdateDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                //strcmd += CreatePrimarykeyString(FromCode);
+
+                //// SQL実行
+                //if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
                 return true;
             }
             catch (Exception ex)
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBudget.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBudget.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBudget.cs	(revision 6)
@@ -38,9 +38,15 @@
             CreatorCode,                // 作成者コード
             CreatorName,    	        // 作成者名
             CreatorCosts,	            // 作成者給与
+
+            AssistantCode,              // 副担当者コード
+            AssistantName,              // 副担当者名
+            AssistantCosts,             // 副担当者給与
+
             InstructorCode,	            // 工事指導員コード
             InstructorName,	            // 工事指導員名
             InstructorCosts,	        // 工事指導員給与
+
             CreateDate,	                // 作成日
             ConstructionTimes,	        // 工期（単位・月）
             ConstructionStart,          // 契約工期開始
@@ -47,8 +53,13 @@
             ConstructionEnd,            // 契約工期完了
 
             InstructorTimes,	        // 指導員稼働月数
+            
             SalaryFlg,                  // 給与振分区分
             SalaryDays,                 // 振分日数
+            A_SalaryFlg,                // 副担当者給与振分区分
+            A_SalaryDays,               // 副担当者振分日数
+            I_SalaryFlg,                // 指導員給与振分区分
+            I_SalaryDays,               // 指導員振分日数
 
             EntryDate,
             UpdateDate,
@@ -83,6 +94,9 @@
             strcmd += " ,CreatorCode";                              // 作成者コード
             strcmd += " ,CreatorName";    	                        // 作成者名
             strcmd += " ,CreatorCosts";	                            // 作成者給与
+            strcmd += " ,AssistantCode";                            // 副担当者コード
+            strcmd += " ,AssistantName";                            // 副担当者名
+            strcmd += " ,AssistantCosts";                           // 副担当者給与
             strcmd += " ,InstructorCode";	                        // 工事指導員コード
             strcmd += " ,InstructorName";	                        // 工事指導員名
             strcmd += " ,InstructorCosts";                          // 工事指導員給与
@@ -93,6 +107,10 @@
             strcmd += " ,InstructorTimes";                          // 指導員稼働月数
             strcmd += " ,SalaryFlg";                                // 給与振分区分
             strcmd += " ,SalaryDays";                               // 振分日数
+            strcmd += " ,A_SalaryFlg";                              // 副担当者給与振分区分
+            strcmd += " ,A_SalaryDays";                             // 副担当者振分日数
+            strcmd += " ,I_SalaryFlg";                              // 指導員給与振分区分
+            strcmd += " ,I_SalaryDays";                             // 指導員振分日数
 
             strcmd += ", TO_CHAR(EntryDate, 'YYYY/MM/DD HH24:MI:ss')";
             strcmd += ", TO_CHAR(UpdateDate, 'YYYY/MM/DD HH24:MI:ss')";
@@ -182,9 +200,15 @@
                 strcmd += string.Format(", {0}", work.CreatorCode);                     // 作成者コード
                 strcmd += string.Format(",'{0}'", work.CreatorName);                    // 作成者名
                 strcmd += string.Format(", {0}", work.CreatorCosts);                    // 作成者給与
+
+                strcmd += string.Format(", {0}", work.AssistantCode);                   // 副担当者コード
+                strcmd += string.Format(",'{0}'", work.AssistantName);                  // 副担当者名
+                strcmd += string.Format(", {0}", work.AssistantCosts);                  // 副担当者給与
+
                 strcmd += string.Format(", {0}", work.InstructorCode);                  // 工事指導員コード
                 strcmd += string.Format(",'{0}'", work.InstructorName);                 // 工事指導員名
                 strcmd += string.Format(", {0}", work.InstructorCosts);                 // 工事指導員給与
+                
                 strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')",
                                         work.CreateDate.ToShortDateString());           // 作成日
                 strcmd += string.Format(", {0}", work.ConstructionTimes);               // 工期（単位・月）
@@ -196,6 +220,10 @@
                 strcmd += string.Format(", {0}", work.InstructorTimes);                 // 指導員稼働月数
                 strcmd += string.Format(", {0}", work.SalaryFlg);                       // 給与振分区分
                 strcmd += string.Format(", {0}", work.SalaryDays);                      // 振分日数
+                strcmd += string.Format(", {0}", work.A_SalaryFlg);                     // 副担当者給与振分区分
+                strcmd += string.Format(", {0}", work.A_SalaryDays);                    // 副担当者振分日数
+                strcmd += string.Format(", {0}", work.I_SalaryFlg);                     // 指導員給与振分区分
+                strcmd += string.Format(", {0}", work.I_SalaryDays);                    // 指導員振分日数
 
                 strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
                 strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
@@ -257,6 +285,11 @@
                 strcmd += string.Format(", CreatorCode = {0}", data.CreatorCode);                       // 作成者コード
                 strcmd += string.Format(", CreatorName = '{0}'", data.CreatorName);                     // 作成者名
                 strcmd += string.Format(", CreatorCosts = {0}", data.CreatorCosts);                     // 作成者給与
+
+                strcmd += string.Format(", AssistantCode = {0}", data.AssistantCode);                   // 副担当者コード
+                strcmd += string.Format(", AssistantName = '{0}'", data.AssistantName);                 // 副担当者名
+                strcmd += string.Format(", AssistantCosts = {0}", data.AssistantCosts);                 // 副担当者給与
+
                 strcmd += string.Format(", InstructorCode = {0}", data.InstructorCode);                 // 工事指導員コード
                 strcmd += string.Format(", InstructorName = '{0}'", data.InstructorName);               // 工事指導員名
                 strcmd += string.Format(", InstructorCosts = {0}", data.InstructorCosts);               // 工事指導員給与
@@ -272,6 +305,10 @@
 
                 strcmd += string.Format(", SalaryFlg = {0}", data.SalaryFlg);                           // 給与振分区分
                 strcmd += string.Format(", SalaryDays = {0}", data.SalaryDays);                         // 振分日数
+                strcmd += string.Format(", A_SalaryFlg = {0}", data.A_SalaryFlg);                       // 副担当者給与振分区分
+                strcmd += string.Format(", A_SalaryDays = {0}", data.A_SalaryDays);                     // 副担当者振分日数
+                strcmd += string.Format(", I_SalaryFlg = {0}", data.I_SalaryFlg);                       // 指導員給与振分区分
+                strcmd += string.Format(", I_SalaryDays = {0}", data.I_SalaryDays);                     // 指導員振分日数
 
                 strcmd += ", UpdateDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
                 strcmd += AddSQLString;
@@ -329,6 +366,9 @@
                 wrk.CreatorCode = int.Parse(objwrk[(int)ConstructionBudgetColumn.CreatorCode].ToString());                  // 作成者コード
                 wrk.CreatorName = objwrk[(int)ConstructionBudgetColumn.CreatorName].ToString();                             // 作成者名
                 wrk.CreatorCosts = double.Parse(objwrk[(int)ConstructionBudgetColumn.CreatorCosts].ToString());             // 作成者給与
+                wrk.AssistantCode = int.Parse(objwrk[(int)ConstructionBudgetColumn.AssistantCode].ToString());              // 副担当者コード
+                wrk.AssistantName = objwrk[(int)ConstructionBudgetColumn.AssistantName].ToString();                         // 副担当者名
+                wrk.AssistantCosts = int.Parse(objwrk[(int)ConstructionBudgetColumn.AssistantCosts].ToString());            // 副担当者給与
                 wrk.InstructorCode = int.Parse(objwrk[(int)ConstructionBudgetColumn.InstructorCode].ToString());            // 工事指導員コード
                 wrk.InstructorName = objwrk[(int)ConstructionBudgetColumn.InstructorName].ToString();                       // 工事指導員名
                 wrk.InstructorCosts = double.Parse(objwrk[(int)ConstructionBudgetColumn.InstructorCosts].ToString());       // 工事指導員給与
@@ -341,6 +381,10 @@
 
                 wrk.SalaryFlg = int.Parse(objwrk[(int)ConstructionBudgetColumn.SalaryFlg].ToString());                      // 給与振分区分
                 wrk.SalaryDays = int.Parse(objwrk[(int)ConstructionBudgetColumn.SalaryDays].ToString());                    // 振分日数
+                wrk.A_SalaryFlg = int.Parse(objwrk[(int)ConstructionBudgetColumn.A_SalaryFlg].ToString());                  // 副担当者給与振分区分
+                wrk.A_SalaryDays = int.Parse(objwrk[(int)ConstructionBudgetColumn.A_SalaryDays].ToString());                // 副担当者振分日数
+                wrk.I_SalaryFlg = int.Parse(objwrk[(int)ConstructionBudgetColumn.I_SalaryFlg].ToString());                  // 指導員給与振分区分
+                wrk.I_SalaryDays = int.Parse(objwrk[(int)ConstructionBudgetColumn.I_SalaryDays].ToString());                // 指導員振分日数
 
                 wrk.EntryDate = DateTime.Parse(objwrk[(int)ConstructionBudgetColumn.EntryDate].ToString());
                 wrk.UpdateDate = DateTime.Parse(objwrk[(int)ConstructionBudgetColumn.UpdateDate].ToString());
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBudgetDetail.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBudgetDetail.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBudgetDetail.cs	(revision 6)
@@ -374,18 +374,18 @@
         /// <summary>
         /// 主キー検索の文字列を返す
         /// </summary>
-        /// <param name="ComponentCode"></param>
-        /// <param name="OutsourcingFlg"></param>
+        /// <param name="ConstructionCode"></param>
+        /// <param name="GroupCount"></param>
         /// <param name="LineCount"></param>
         /// <returns></returns>
-        public string CreatePrimarykeyString(int ConstructionCode, int PageCount = 0, int LineCount = 0)
+        public string CreatePrimarykeyString(int ConstructionCode, int GroupCount = 0, int LineCount = 0)
         {
             string strWork = "";
             try
             {
                 strWork = string.Format(" Where ConstructionCode = {0}", ConstructionCode);
-                if (PageCount != 0)
-                    strWork += string.Format(" And OutsourcingFlg = {0}", PageCount);
+                if (GroupCount != 0)
+                    strWork += string.Format(" And GroupCount = {0}", GroupCount);
                 if (LineCount != 0)
                     strWork += string.Format(" And LineCount = {0}", LineCount);
             }
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionLedgerDetail.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionLedgerDetail.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionLedgerDetail.cs	(revision 6)
@@ -50,6 +50,7 @@
             PaymentBurden,          // 支払補填額
             FixDataFlg,             // 固定データフラグ
             IndependentFlg,         // 独立データフラグ
+            FluctuationFlg,         // 増減データフラグ
 
             EntryDate,
             UpdateDate,
@@ -92,6 +93,7 @@
             strcmd += ", PaymentBurden";            // 支払補填額
             strcmd += ", FixDataFlg";               // 固定データフラグ
             strcmd += ", IndependentFlg";           // 独立データフラグ
+            strcmd += ", FluctuationFlg";           // 増減データフラグ
 
             strcmd += ", TO_CHAR(EntryDate, 'YYYY/MM/DD HH24:MI:ss')";
             strcmd += ", TO_CHAR(UpdateDate, 'YYYY/MM/DD HH24:MI:ss')";
@@ -207,6 +209,7 @@
                 
                 strcmd += string.Format(", {0}", work.FixDataFlg);              // 固定データフラグ
                 strcmd += string.Format(", {0}", work.IndependentFlg);          // 独立データフラグ
+                strcmd += string.Format(", {0}", work.FluctuationFlg);          // 増減データフラグ
 
                 strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
                 strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
@@ -284,6 +287,7 @@
 
                 strcmd += string.Format(", FixDataFlg = {0}", data.FixDataFlg);                     // 固定データフラグ
                 strcmd += string.Format(", IndependentFlg = {0}", data.IndependentFlg);             // 独立データフラグ
+                strcmd += string.Format(", FluctuationFlg = {0}", data.FluctuationFlg);             // 増減データフラグ
 
                 strcmd += ", UpdateDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
                 strcmd += AddSQLString;
@@ -356,6 +360,7 @@
                 
                 wrk.FixDataFlg = int.Parse(objwrk[(int)DataColumn.FixDataFlg].ToString());                      // 固定データフラグ
                 wrk.IndependentFlg = int.Parse(objwrk[(int)DataColumn.IndependentFlg].ToString());              // 独立データフラグ
+                wrk.FluctuationFlg = int.Parse(objwrk[(int)DataColumn.FluctuationFlg].ToString());              // 増減データフラグ
 
                 wrk.EntryDate = DateTime.Parse(objwrk[(int)DataColumn.EntryDate].ToString());
                 wrk.UpdateDate = DateTime.Parse(objwrk[(int)DataColumn.UpdateDate].ToString());
@@ -415,7 +420,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(LineCount) FROM ConstructionLedgerDetail" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(LineCount), 0) FROM ConstructionLedgerDetail" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionLink.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionLink.cs	(nonexistent)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionLink.cs	(revision 6)
@@ -0,0 +1,328 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Data;
+using System.Collections;
+
+using log4net;
+using Oracle.ManagedDataAccess.Client;
+
+using ProcessManagement.DB.Oracle;
+using ProcessManagement.DB.Core;
+using ProcessManagement.DataModel;
+using ProcessManagement.Common;
+
+namespace ProcessManagement.DB.IOAccess
+{
+    /// <summary>
+    /// 工事増減情報ＤＢアクセス
+    /// </summary>
+    public class IOConstructionLink : OracleProcess
+    {
+        #region 定義部
+        /// <summary>
+        /// log4netログを使用する
+        /// </summary>
+        private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// 工事増減情報フィールド並び
+        /// </summary>
+        public enum ConstructionLinkColumn
+        {
+            CONSTRUCTION_CODE = 0,
+            FLUCTUATION_CODE,
+            ENTRY_DATE,
+            UPDATE_DATE,
+        }
+
+        #endregion
+
+        #region プロパティ
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        /// <param name="ConnectionString"></param>
+        public IOConstructionLink()
+            : base(DBCommon.Instance.DBConnectString)
+        {
+        }
+
+        #endregion
+
+        #region SELECT　SQL作成
+        /// <summary>
+        /// SQL作成
+        /// </summary>
+        private string CreateSelectSQL()
+        {
+            // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+            string strcmd = "SELECT";
+            strcmd += "  ConstructionCode, FluctuationCode";
+            strcmd += ", TO_CHAR(EntryDate, 'YYYY/MM/DD HH24:MI:ss')";
+            strcmd += ", TO_CHAR(UpdateDate, 'YYYY/MM/DD HH24:MI:ss')";
+            strcmd += " FROM ConstructionLink";
+
+            return strcmd;
+        }
+        #endregion
+
+        #region 読込み処理
+        /// <summary>
+        /// 工事増減情報検索
+        /// </summary>
+        /// <param name="AddSQLString">検索条件SQL文字列</param>
+        /// <param name="data">工事増減情報データ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool SelectAction(string AddSQLString, ref ConstructionLink data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (arData.Count == 0) return false;
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    ConstructionLink work = new ConstructionLink();
+                    Reader2Struct(objwrk, ref data);
+                    break;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 読込み処理
+        /// <summary>
+        /// 工事増減情報検索
+        /// </summary>
+        /// <param name="AddSQLString">検索条件SQL文字列</param>
+        /// <param name="data">工事増減情報データ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool SelectAction(string AddSQLString, ref List<ConstructionLink> data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    ConstructionLink work = new ConstructionLink();
+                    Reader2Struct(objwrk, ref work);
+                    data.Add(work);
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 追加処理
+        /// <summary>
+        /// 工事増減情報追加
+        /// </summary>
+        /// <param name="data">工事増減情報データ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(ConstructionLink data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "INSERT INTO ConstructionLink";
+
+                strcmd += " VALUES (";
+
+                strcmd += string.Format("  {0}", data.ConstructionCode);
+                strcmd += string.Format(", {0}", data.FluctuationCode);
+
+                strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd = strcmd + ")";
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        /// <summary>
+        /// 工事増減情報追加
+        /// </summary>
+        /// <param name="data">工事増減情報データ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(List<ConstructionLink> data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                foreach (ConstructionLink work in data)
+                {
+                    if (!InsertAction(work, bConnect)) return false;
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 更新処理
+        /// <summary>
+        /// 工事増減情報更新
+        /// </summary>
+        /// <param name="AddSQLString">更新条件SQL文字列</param>
+        /// <param name="data">工事増減情報データ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool UpdateAction(string AddSQLString, ConstructionLink data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "UPDATE ConstructionLink";
+
+                strcmd += " SET";
+
+                strcmd += string.Format("  ConstructionCode = {0}", data.ConstructionCode);
+                strcmd += string.Format(" ,DetailNo = {0}", data.FluctuationCode);
+
+                strcmd += ", UpdateDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd += AddSQLString;
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 削除処理
+        /// <summary>
+        /// 工事増減情報削除
+        /// </summary>
+        /// <param name="AddSQLString">削除条件SQL文字列</param>
+        /// <param name="data">工事増減情報データ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool DeleteAction(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            try
+            {
+                strcmd = string.Format("{0}{1}", "DELETE FROM ConstructionLink", AddSQLString);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region データセット処理
+        /// <summary>
+        /// OracleDataReaderより構造体へセットする
+        /// </summary>
+        /// <param name="reader">OracleDataReader</param>
+        /// <param name="wrk">構造体</param>
+        public void Reader2Struct(object[] objwrk, ref ConstructionLink wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.ConstructionCode = int.Parse(objwrk[(int)ConstructionLinkColumn.CONSTRUCTION_CODE].ToString());
+                wrk.FluctuationCode = int.Parse(objwrk[(int)ConstructionLinkColumn.FLUCTUATION_CODE].ToString());
+                
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)ConstructionLinkColumn.ENTRY_DATE].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)ConstructionLinkColumn.UPDATE_DATE].ToString());
+            }
+            catch (OracleException oraex)
+            {
+                logger.ErrorFormat("オラクルエラー：{0}：{1}", CommonMotions.GetMethodName(2), oraex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(2), ex.Message);
+            }
+        }
+
+
+        #endregion
+
+        #region 検索の文字列を返す
+
+        /// <summary>
+        /// 主キー検索の文字列を返す
+        /// </summary>
+        /// <param name="ComponentCode"></param>
+        /// <param name="DetailNo"></param>
+        /// <returns></returns>
+        public string CreatePrimarykeyString(int ConstructionCode, int FluctuationCode)
+        {
+            string strWork = "";
+            try
+            {
+                strWork = string.Format(" Where ConstructionCode = {0}", ConstructionCode);
+                strWork += string.Format(" And FluctuationCode = {0}", FluctuationCode);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+            }
+
+            return strWork;
+        }
+        #endregion
+
+    }
+}
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOCostDataOfPerson.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOCostDataOfPerson.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOCostDataOfPerson.cs	(revision 6)
@@ -387,7 +387,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(DataAddCount) FROM CostDataOfPerson" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(DataAddCount), 0) FROM CostDataOfPerson" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataDetail.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataDetail.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataDetail.cs	(revision 6)
@@ -341,17 +341,17 @@
             try
             {
                 // データ取得
-                wrk.PersonCode = int.Parse(objwrk[(int)DataColumn.PersonCode].ToString());               // 担当者コード
-                wrk.DailyDataDate = DateTime.Parse(objwrk[(int)DataColumn.DailyDataDate].ToString());    // 日報作成日
-                wrk.ConstructionCode = int.Parse(objwrk[(int)DataColumn.ConstructionCode].ToString());   // 工事番号
-                wrk.SeqNo = int.Parse(objwrk[(int)DataColumn.SeqNo].ToString());                         // 明細行番号
-                wrk.JobCategoryCode = int.Parse(objwrk[(int)DataColumn.JobCategoryCode].ToString());     // 職種キー
-                wrk.CompanyCode = int.Parse(objwrk[(int)DataColumn.CompanyCode].ToString());             // 協力会社コード
-                wrk.TodayHeadCount = int.Parse(objwrk[(int)DataColumn.TodayHeadCount].ToString());       // 当日人員数
-                wrk.TotalHeadCount = int.Parse(objwrk[(int)DataColumn.TotalHeadCount].ToString());       // 累計人員数
-                wrk.TodayWork = objwrk[(int)DataColumn.TodayWork].ToString();                            // 当日作業内容
-                wrk.NextdayWork = objwrk[(int)DataColumn.NextdayWork].ToString();                        // 翌日作業内容
-                wrk.NextdayHeadCount = int.Parse(objwrk[(int)DataColumn.NextdayHeadCount].ToString());   // 翌日人員数
+                wrk.PersonCode = int.Parse(objwrk[(int)DataColumn.PersonCode].ToString());                  // 担当者コード
+                wrk.DailyDataDate = DateTime.Parse(objwrk[(int)DataColumn.DailyDataDate].ToString());       // 日報作成日
+                wrk.ConstructionCode = int.Parse(objwrk[(int)DataColumn.ConstructionCode].ToString());      // 工事番号
+                wrk.SeqNo = int.Parse(objwrk[(int)DataColumn.SeqNo].ToString());                            // 明細行番号
+                wrk.JobCategoryCode = int.Parse(objwrk[(int)DataColumn.JobCategoryCode].ToString());        // 職種キー
+                wrk.CompanyCode = int.Parse(objwrk[(int)DataColumn.CompanyCode].ToString());                // 協力会社コード
+                wrk.TodayHeadCount = double.Parse(objwrk[(int)DataColumn.TodayHeadCount].ToString());       // 当日人員数
+                wrk.TotalHeadCount = double.Parse(objwrk[(int)DataColumn.TotalHeadCount].ToString());       // 累計人員数
+                wrk.TodayWork = objwrk[(int)DataColumn.TodayWork].ToString();                               // 当日作業内容
+                wrk.NextdayWork = objwrk[(int)DataColumn.NextdayWork].ToString();                           // 翌日作業内容
+                wrk.NextdayHeadCount = double.Parse(objwrk[(int)DataColumn.NextdayHeadCount].ToString());   // 翌日人員数
                 
                 wrk.EntryDate = DateTime.Parse(objwrk[(int)DataColumn.EntryDate].ToString());
                 wrk.UpdateDate = DateTime.Parse(objwrk[(int)DataColumn.UpdateDate].ToString());
@@ -414,7 +414,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(SeqNo) FROM DailyDataDetail" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(SeqNo), 0) FROM DailyDataDetail" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
